complexType "ccapp:ReportParams"

Namespace: | http://www.iro.umontreal.ca/lecuyer/contactcenters/app
Content: | complex, 10 attributes, 5 elements
Defined: | globally in ccapp.xsd, see XML source
Includes: | definitions of 10 attributes and 5 elements
Used: | at 1 location

XML Representation Summary
<...
| confidenceLevel | = | xsd:double
| defaultDetailed | = | xsd:boolean : "true"
| defaultOnlyAverages | = | xsd:boolean : "false"
| defaultPeriods | = | xsd:boolean : "true"
| detailedSheetNameWithPeriods | = | xsd:string
| detailedSheetNameWithoutPeriods | = | xsd:string
| maxColumns | = | xsd:int : "15"
| numDigits | = | xsd:int : "3"
| obsSheetName | = | xsd:string
| summarySheetName | = | xsd:string
| >
Content: | properties?, printedStat*, printedObs*, shownContactTypeProperty*, shownAgentGroupProperty*
</...>

Content Elements (5):

  printedObs (type ccapp:PerformanceMeasureParams), printedStat (type ccapp:PrintedStatParams), properties (type ssj:PropertiesParams), | shownAgentGroupProperty (type ccapp:PropertyNameParam), shownContactTypeProperty (type ccapp:PropertyNameParam)

All Direct / Indirect Based Elements (1):

  report (type ccapp:ReportParams) |

Known Usage Locations

- As direct type of elements (1):

  report (type ccapp:ReportParams) |

Annotation
Defines parameters for reports on simulation results. Reporting parameters include the statistics to put in the report, confidence level as well as general options.
XML Source (w/o annotations (16); see schema source)

<xsd:complexType name="ReportParams"> <xsd:sequence> <xsd:element maxOccurs="1" minOccurs="0" name="properties" type="ssj:PropertiesParams"> <xsd:key name="ReportUniquePropertyName"> <xsd:selector xpath="*"/> <xsd:field xpath="@name"/> </xsd:key> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="printedStat" type="ccapp:PrintedStatParams"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="printedObs" type="ccapp:PerformanceMeasureParams"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="shownContactTypeProperty" type="ccapp:PropertyNameParam"> </xsd:element> <xsd:element maxOccurs="unbounded" minOccurs="0" name="shownAgentGroupProperty" type="ccapp:PropertyNameParam"> </xsd:element> </xsd:sequence> <xsd:attribute name="confidenceLevel" type="ssj:double01" use="required"> </xsd:attribute> <xsd:attribute default="3" name="numDigits" type="ssj:positiveInt"> </xsd:attribute> <xsd:attribute default="15" name="maxColumns" type="ssj:positiveInt"> </xsd:attribute> <xsd:attribute name="summarySheetName" type="xsd:string"> </xsd:attribute> <xsd:attribute name="detailedSheetNameWithoutPeriods" type="xsd:string"> </xsd:attribute> <xsd:attribute name="detailedSheetNameWithPeriods" type="xsd:string"> </xsd:attribute> <xsd:attribute name="obsSheetName" type="xsd:string"> </xsd:attribute> <xsd:attribute default="true" name="defaultDetailed" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="true" name="defaultPeriods" type="xsd:boolean"> </xsd:attribute> <xsd:attribute default="false" name="defaultOnlyAverages" type="xsd:boolean"> </xsd:attribute> </xsd:complexType>

Attribute Detail
confidenceLevel

  Determines the level of confidence of any interval when displaying statistical reports. This corresponds to the desired probability for the true particular mean or ratio of means to fall into a given confidence interval, for a particular performance measure. Note that the probability that several means or ratios of means estimated by an evaluation system all fall into the computed confidence intervals is smaller than the given confidence level. Evaluation systems not using simulation might not use this parameter.

  Type: | ssj:double01
  Use: | required
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="confidenceLevel" type="ssj:double01" use="required"> </xsd:attribute>

defaultDetailed

  Determines the default value of the `detailed` attribute inherited by `printedStat` elements not specifying the `detailed` attribute.

  Type: | xsd:boolean
  Use: | optional
  Default: | "true"
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="true" name="defaultDetailed" type="xsd:boolean"> </xsd:attribute>

defaultOnlyAverages

  Determines the default value of the `onlyAverages` attribute inherited by `printedStat` elements not specifying the `onlyAverages` attribute.

  Type: | xsd:boolean
  Use: | optional
  Default: | "false"
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="false" name="defaultOnlyAverages" type="xsd:boolean"> </xsd:attribute>

defaultPeriods

  Determines the default value of the `periods` attribute inherited by `printedStat` elements not specifying the `periods` attribute.

  Type: | xsd:boolean
  Use: | optional
  Default: | "true"
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="true" name="defaultPeriods" type="xsd:boolean"> </xsd:attribute>

detailedSheetNameWithPeriods

  Determines the name of the spreadsheet containing detailed information with statistics for individual periods. This string is used only for spreadsheet-based reports (e.g., report to Excel files), and defaults to a locale-specific name. If the sheet name specified by this attribute is empty, the specified sheet is omitted in the report.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="detailedSheetNameWithPeriods" type="xsd:string"> </xsd:attribute>

detailedSheetNameWithoutPeriods

  Determines the name of the spreadsheet containing detailed information without statistics for individual periods. This string is used only for spreadsheet-based reports (e.g., report to Excel files), and defaults to a locale-specific name. If the sheet name specified by this attribute is empty, the specified sheet is omitted in the report.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="detailedSheetNameWithoutPeriods" type="xsd:string"> </xsd:attribute>

maxColumns

  Determines the maximal number of columns for the tables formatted in reports. Reports are usually formatted using a certain number of tables, where each row corresponds to a category of performance measure (e.g., a contact type), and each column corresponds to a statistic or a period. Usually, a table with one row per category, and one column per period is more readable than a table containing rows of the form (category, period). However, if the number of periods is too high, the number of columns becomes too high for the tables to be viewed on-screen or printed. This attribute can therefore be used to limit the number of columns in a table. More specifically, the reporting facility will format tables with one row per category and one column per period if this does not exceed the maximal number of columns, or switch to (category, period) form of rows if the number of columns with the first form is too high. Reporting facilities will try to enforce this limit, but no data must be discarded even if the limit is exceeded.

  Type: | ssj:positiveInt
  Use: | optional
  Default: | "15"
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="15" name="maxColumns" type="ssj:positiveInt"> </xsd:attribute>

numDigits

  Determines the number of significant digits for each value formatted in statistical reports.

  Type: | ssj:positiveInt
  Use: | optional
  Default: | "3"
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute default="3" name="numDigits" type="ssj:positiveInt"> </xsd:attribute>

obsSheetName

  Determines the name of the spreadsheet containing lists of observations for selected performance measures. This string is used only for spreadsheet-based reports (e.g., report to Excel files), and defaults to a locale-specific name. If the sheet name specified by this attribute is empty, the specified sheet is omitted in the report. The sheet is also omitted if no performance measure is selected using `printedObs` elements.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="obsSheetName" type="xsd:string"> </xsd:attribute>

summarySheetName

  Determines the name of the spreadsheet containing summary information. This string is used only for spreadsheet-based reports (e.g., report to Excel files), and defaults to a locale-specific name. If the sheet name specified by this attribute is empty, the sheet is omitted in the report.

  Type: | xsd:string
  Use: | optional
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:attribute name="summarySheetName" type="xsd:string"> </xsd:attribute>

Content Element Detail
printedObs

  Determines the list of performance measures for which a list of observations should be included in the statistical report. By default, no list of observations is included. Each occurrence of this element refers to a performance measure by a type, a row index, and a column index. If the histogram element exists, a histogram of the observations will be created for the corresponding performance measure.

  Type: | ccapp:PerformanceMeasureParams, complex content
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="printedObs" type="ccapp:PerformanceMeasureParams"> </xsd:element>

printedStat

  Determines a group of performance measures to be included in a report. Each occurrence of this element instructs the evaluation system to add statistics concerning a specific type of performance measure, while attributes of the element indicate which performance measure to include in the report. Attributes `defaultDetailed,` `defaultPeriods,` and `defaultOnlyAverages` can also affect which performance measures are included in the report. If no occurrence of this element is present in the reporting parameters, a report concerning all types of performance measures supported by the evaluation system used is produced.

  Type: | ccapp:PrintedStatParams, empty content
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="printedStat" type="ccapp:PrintedStatParams"> </xsd:element>

properties

  Represents properties associated with the report. This complex type defines some predefined attributes and elements for most common reporting options. Evaluation systems might however provide additional options which can be adjusted through custom properties. This element is therefore used to contain such custom properties. Evaluation systems identify properties using their names, and ignore any property with an unknown name.

  Type: | ssj:PropertiesParams, complex content
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="1" minOccurs="0" name="properties" type="ssj:PropertiesParams"> <xsd:key name="ReportUniquePropertyName"> <xsd:selector xpath="*"/> <xsd:field xpath="@name"/> </xsd:key> </xsd:element>

shownAgentGroupProperty

  This element is similar to `shownContactTypeProperty` but for agent groups.

  Type: | ccapp:PropertyNameParam, empty content
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="shownAgentGroupProperty" type="ccapp:PropertyNameParam"> </xsd:element>

shownContactTypeProperty

  Gives the name of a property, associated with a contact type, to be shown in the report in addition to the name of the contact type. Parameter files describing contact centers can affect a name as well as any user-defined properties to each contact type. By default, only the name is shown in the reports, but it is often useful to display the value of properties such as the caller's language, region, etc. Using elements of this type instructs the reporting system to display the value of the property with the corresponding name for any segment of contact types included in the report.

  Type: | ccapp:PropertyNameParam, empty content
  Defined: | locally, within (this) ccapp:ReportParams complexType

  XML Source (w/o annotations (1); see schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="shownContactTypeProperty" type="ccapp:PropertyNameParam"> </xsd:element>

XML Schema documentation generated with DocFlex/XML (Kit) v1.6.8 DocFlex/XML (Kit) is a freeware edition of DocFlex/XML, which is a powerful template-driven documentation and report generator from any data stored in XML files. Based on an innovative technology developed by FILIGRIS WORKS, this new tool offers virtuoso data querying and formatting capabilities not found in anything else! Need to convert your XML data into a clear nice-looking documentation or reports? Web-ready hypertext HTML or printable MS Word / OpenOffice.org friendly RTF? DocFlex/XML may be a cheap, quick and effective solution exactly for this task! Have questions? Not sure how to use it? Just send us e-mail to contact@filigris.com and we are always happy to help you! See also our services at www.filigris.com